package com.mini.capi.model;


import lombok.Getter;

@Getter
public enum  ResultCodeEnum {

    SUCCESS(200, "Success"),
    FAIL(500, "Fail"),
    BAD_REQUEST(400, "Bad Request"),
    UNAUTHORIZED(401, "Unauthorized"),
    NOT_FOUND(404, "Not Found");

    private final int code;
    private final String message;

    ResultCodeEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }
}
